Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.CBLSYNCSTATUS

    java.lang.Object
      java.lang.Enum<Account.CBLSYNCSTATUS>
          com.skype.api.Account.CBLSYNCSTATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Account.CBLSYNCSTATUS>

Enclosing class:
  Account

    public static enum Account.CBLSYNCSTATUS

extends java.lang.Enum<Account.CBLSYNCSTATUS>

Recognized values for the P_CBLSYNCSTATUS property. CBL stands for Central Buddy List. In principle, this property and its states can be ignored by most UI developers. However, it can help to optimize UI buildup and behaviour, particularly in case of limited resources (such as mobile devices).
CBL is used to backup your contact list, contact groups, and profile information, and also used to synchronize this information with other Skype instances of your account (i.e. on another device). CBL sync can occur both during login and during normal operation. Note that CBL synchronization does not take place immediately after an Account property is changed. A delay between the first property change and CBL sync initiation enables the client to accumulate changes and do the synchronization in bulk.
Clients with limited resources might want to wait for CBL_IN_SYNC status before generating their UI's contact list representation. Otherwise it might be forced to redraw the contact list multiple times, as new updates get retrieved from the server-side. Similarly, applications that modify an account's mood message might want to know when the P_MOOD_TEXT or P_RICH_MOOD_TEXT property is synchronized to the server. Note that this sync is only for CBL and other logged in instances of the same account - other contacts will receive the mood message update directly.

Enum Constant Summary
`CBL_IN_SYNC` Account properties are up-to-date.
`CBL_INITIAL_SYNC_PENDING` first sync with empty profile
`CBL_INITIALIZING` status is not clear (yet)
`CBL_REMOTE_SYNC_PENDING` we have received a hint that there is a remote data change in CBL
`CBL_SYNC_FAILED` CBL sync has.
`CBL_SYNC_IN_PROGRESS` CBL synchronization is currently taking place.
`CBL_SYNC_PENDING` Account properties are considered to be out of sync with CBL - attempt at synchronization is imminent.

Method Summary
`static Account.CBLSYNCSTATUS` | `fromString(java.lang.String s)`
`static Account.CBLSYNCSTATUS` | `get(int code)`
`int` | `getId()`
`static Account.CBLSYNCSTATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.CBLSYNCSTATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CBL_INITIALIZING

    public static final Account.CBLSYNCSTATUS CBL_INITIALIZING

  status is not clear (yet)

### CBL_INITIAL_SYNC_PENDING

    public static final Account.CBLSYNCSTATUS CBL_INITIAL_SYNC_PENDING

  first sync with empty profile

### CBL_SYNC_PENDING

    public static final Account.CBLSYNCSTATUS CBL_SYNC_PENDING

  Account properties are considered to be out of sync with CBL - attempt at synchronization is imminent. You might wish to wait with updating UI components that display the data that is about to change anyway.

### CBL_SYNC_IN_PROGRESS

    public static final Account.CBLSYNCSTATUS CBL_SYNC_IN_PROGRESS

  CBL synchronization is currently taking place.

### CBL_IN_SYNC

    public static final Account.CBLSYNCSTATUS CBL_IN_SYNC

  Account properties are up-to-date.

### CBL_SYNC_FAILED

    public static final Account.CBLSYNCSTATUS CBL_SYNC_FAILED

  CBL sync has. Another attempt will be made after several minutes. If a second attempt also fails, subsequent attempts at synchronization will be made at ever increasing intervals.

### CBL_REMOTE_SYNC_PENDING

    public static final Account.CBLSYNCSTATUS CBL_REMOTE_SYNC_PENDING

  we have received a hint that there is a remote data change in CBL

Method Detail

### values

    public static Account.CBLSYNCSTATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.CBLSYNCSTATUS c : Account.CBLSYNCSTATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.CBLSYNCSTATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Account.CBLSYNCSTATUS get(int code)

### fromString

    public static Account.CBLSYNCSTATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.